Theme
/fal-ai/veo3/fast
POST
https://www.kkiai.com/fal-ai/veo3/fast
Official documentation: https://fal.ai/models/fal-ai/veo3/fast
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value should be the Token appended after Bearer.
Example: Authorization: Bearer ********************
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
prompt | string | Required | Text prompt describing the video to generate |
aspect_ratio | string | Optional | Aspect ratio of the generated video. If set to 1:1, the video will be outpainted. Default: "16:9", Range: [16:9,9:16,1:1] |
duration | string | Optional | Duration of the generated video in seconds. Default: "8s" |
enhance_prompt | boolean | Optional | Whether to enhance video generation. Default: true |
auto_fix | boolean | Optional | Whether to automatically attempt to fix prompts that fail content policy or other validation checks by rewriting them. Default: true |
resolution | string | Optional | Resolution of the generated video. Default: "720p", Range: [720p, 1080p] |
generate_audio | boolean | Optional | Whether to generate audio for the video. If false, will reduce credits by 33%. Default: true |
Request Example
json
{
"prompt": "A casual street interview on a busy New York City sidewalk in the afternoon. The interviewer holds a plain, unbranded microphone and asks: Have you seen Google's new Veo3 model It is a super good model. Person replies: Yeah I saw it, it's already available on fal. It's crazy good.",
"aspect_ratio": "16:9",
"duration": "4s",
"enhance_prompt": true,
"auto_fix": true,
"resolution": "720p",
"generate_audio": false
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/veo3/fast' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "A casual street interview on a busy New York City sidewalk in the afternoon. The interviewer holds a plain, unbranded microphone and asks: Have you seen Google'\''s new Veo3 model It is a super good model. Person replies: Yeah I saw it, it'\''s already available on fal. It'\''s crazy good.",
"aspect_ratio": "16:9",
"duration": "4s",
"enhance_prompt": true,
"auto_fix": true,
"resolution": "720p",
"generate_audio": false
}'Response
🟢 200 Success
Response Example
json
{
"status": "IN_QUEUE",
"request_id": "fabda298-3a7c-43f6-ba3a-2bde5b344173",
"response_url": "https://queue.fal.run/fal-ai/veo3/requests/fabda298-3a7c-43f6-ba3a-2bde5b344173",
"status_url": "https://queue.fal.run/fal-ai/veo3/requests/fabda298-3a7c-43f6-ba3a-2bde5b344173/status",
"cancel_url": "https://queue.fal.run/fal-ai/veo3/requests/fabda298-3a7c-43f6-ba3a-2bde5b344173/cancel",
"logs": null,
"metrics": {},
"queue_position": 0
}